Bug 146461 - infinite recursion in doxygen
infinite recursion in doxygen
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: doxygen (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 10:40 EST by David Juran
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2005-01-28 10:40:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
When trying to run doxygen on our source code it runs a while and the
crashes producing a huge (2.4 GB) corefile while computing member
relations....

The backtrace of the stack looks starts with
#0  0x0018ba20 in ?? ()
#1  0x0018ae9d in ?? ()
#2  0x0024f180 in ?? ()
#3  0x0000000c in ?? ()
#4  0x00bbd82e in ?? ()
#5  0x0000000c in ?? ()
#6  0x08254e6b in QGList::append (this=0x24f180, d=0x0) at qglist.cpp:366
#7  0x081d369d in ClassDef::isBaseClass (this=0x0, bcd=0x1,
followInstances=true) at qlist.h:111
#8  0x081d36e9 in ClassDef::isBaseClass (this=0x0, bcd=0xa640a58,
followInstances=true)
    at classdef.cpp:1800
#9  0x081d36e9 in ClassDef::isBaseClass (this=0x0, bcd=0xa640a58,
followInstances=true)
    at classdef.cpp:1800

and then continues that way for a milion frames or so.
A hint at the fix might be that rumors are, it works with
doxygen-1.3.9.1-1 from RHEL4 RC2.



Version-Release number of selected component (if applicable):
doxygen-1.3.5-0.RHEL3.1

How reproducible:
Always

Steps to Reproduce:
1. doxygen Doxyfile (unfortunatley I can not disclose the source code)

    

Additional info:
Comment 1 Ngo Than 2005-01-28 10:49:15 EST
could you please provide a testcase to reproduce this problem. Thanks
Comment 2 RHEL Product and Program Management 2007-10-19 15:08:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.